Browse Source

Add logging

master
Janek Bevendorff 5 years ago
parent
commit
1a0c1b984f
  1. 7
      install.sh
  2. 5
      server/etc/events_synology
  3. 59
      server/usr/bin/rs-logger

7
install.sh

@ -143,7 +143,7 @@ if [[ $MODE == "install" ]]; then
$MKDIR "$BKP_DIR"/usr/share/perl5
fi
# Append fstab entries
# Apply distro-specific configurations
if [[ "$DISTRIBUTION" == "Synology" ]]; then
# Synology DSM restores default /etc/fstab upon reboot,
# so we better put mount commands in /etc/rc
@ -156,6 +156,11 @@ if [[ $MODE == "install" ]]; then
cat $tmp_name > /etc/rc
rm $tmp_name
fi
# Add our own syslog template
if ! grep -q "^# rs-backup-suite$" /usr/syno/synosdk/texts/enu/events; then
cat ./server/etc/events_synology >> /usr/syno/synosdk/texts/enu/events
fi
else
if ! grep -q "^# BEGIN: rs-backup-suite" /etc/fstab; then
if [[ "$DISTRIBUTION" == "Ubuntu" ]]; then

5
server/etc/events_synology

@ -0,0 +1,5 @@
[99000000]
# rs-backup-suite
99000001 = "@1"

59
server/usr/bin/rs-logger

@ -0,0 +1,59 @@
#!/usr/bin/env bash
##
# Copyright (C) 2013-2016 Janek Bevendorff
# Website: http://www.refining-linux.org/
#
# Log to appropriate syslog facility.
#
# The MIT License (MIT)
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
##
if [ "$2" == "" ] ; then
echo "Usage: $(basename $0) <info|warn|err> <message>"
exit
fi
if [ "$1" != "info" ] && [ "$1" != "warn" ] && [ "$1" != "err" ]; then
echo "Invalid log priority '$1'. Choose from <info|warn|err>."
exit 1
fi
distribution=$(rs-detect-distribution)
if [[ "Synology" == "${distribution}" ]]; then
# Use Synology's crappy synologd if we're on DSM
synologset1 sys $1 0x99000001 "$2"
else
# Any other distribution
command -v logger > /dev/null
if [ $? -eq 0 ]; then
logger -p $1 -t rs-backup-server "$2"
else
# Log to STDOUT/STDERR if we have no syslog facility
if [ "$1" == "err" ]; then
echo "ERROR: $2" >&2
elif [ "$1" == "warn" ]; then
echo "WARNING: $2" >&2
else
echo "INFO: $2"
fi
fi
fi
Loading…
Cancel
Save